# 71. Mutation: 「Notes」を含むzipアーカイブを生成

選択された「VectorAnalysisMap」「SoilDataset」または「Field」エンティティにリンクされた「Notes」を含むzipアーカイブを生成します。

{% hint style="info" %}
アーカイブは \*.shp、\*.shx、\*.prj、\*.dbf ファイルで構成されます。
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ExportNotesData {
  exportData(input: {
    notes: [
      { 
        uuid: "<placeholder_for_vectoranalysismap_uuid>", 
        fieldUuid: "<placeholder_for_field_uuid>", 
        entity: VectorAnalysisMap 
      }    
    ]
  }) {
    archiveUrl
    zippedNotes {
      uuid
      fieldUuid
      status
    }
    ignoredNotes {
      uuid
      fieldUuid
      status
    }
  }
}
```

{% endcode %}

実行後、GraphQLクエリ利用者は「archiveUrl」プロパティからzipアーカイブを取得でき、エクスポートされた内容は「zipped」および「ignored」の行で確認できます。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/71-mutation-noteswomuzipkaibuwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
